"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkMXDA3EBPcjs = require('./chunk-MXDA3EBP.cjs');


var _chunkLEN5T2NTcjs = require('./chunk-LEN5T2NT.cjs');


var _chunkUU5QPOEKcjs = require('./chunk-UU5QPOEK.cjs');


var _chunkKEJ4ER36cjs = require('./chunk-KEJ4ER36.cjs');


var _chunkBXHLYONUcjs = require('./chunk-BXHLYONU.cjs');

// src/node/log/log-context-node.ts
var _process = require('process'); var _process2 = _interopRequireDefault(_process);
function Logger(name, level) {
  return _chunkKEJ4ER36cjs.getGlobalLogger.call(void 0, (context) => {
    const handlers = [
      _chunkLEN5T2NTcjs.LoggerNodeHandler.call(void 0, {
        padding: 32,
        nameBrackets: false
        // levelHelper: false,
      })
    ];
    const logFilePath = _nullishCoalesce(_process2.default.env.ZEED_LOG, () => ( _process2.default.env.LOG));
    const time = _chunkBXHLYONUcjs.valueToBoolean.call(void 0, _process2.default.env.ZEED_TIME, true);
    const pretty = _chunkBXHLYONUcjs.valueToBoolean.call(void 0, _process2.default.env.ZEED_PRETTY, false);
    if (logFilePath)
      handlers.unshift(_chunkMXDA3EBPcjs.LoggerFileHandler.call(void 0, _chunkUU5QPOEKcjs.toPath.call(void 0, logFilePath), { time, pretty }));
    context.setHandlers(handlers);
  })(name, level);
}



exports.Logger = Logger;
//# sourceMappingURL=chunk-ATBDJYGE.cjs.map