"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkOYAX4GVNcjs = require('./chunk-OYAX4GVN.cjs');



var _chunkADJUZEHBcjs = require('./chunk-ADJUZEHB.cjs');

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return _chunkADJUZEHBcjs.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _chunkADJUZEHBcjs.Uint8ArrayToJson.call(void 0, data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _chunkADJUZEHBcjs.jsonToUint8Array.call(void 0, data);
    return await _chunkOYAX4GVNcjs.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _chunkOYAX4GVNcjs.decrypt.call(void 0, data, this.key);
    return _chunkADJUZEHBcjs.Uint8ArrayToJson.call(void 0, plain);
  }
};





exports.NoopEncoder = NoopEncoder; exports.JsonEncoder = JsonEncoder; exports.CryptoEncoder = CryptoEncoder;
//# sourceMappingURL=chunk-MSQZVEZQ.cjs.map