"use strict";require('../../chunk-IB5IYYW3.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-IA7KQH7T.cjs');




var _chunkZFTVIOZVcjs = require('../../chunk-ZFTVIOZV.cjs');
require('../../chunk-JCNZZG5S.cjs');
require('../../chunk-5FE5DCG4.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-PIQQZPG3.cjs');
require('../../chunk-UDRF4DKZ.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-Z6OONRDT.cjs');
require('../../chunk-JZKRP4QF.cjs');
require('../../chunk-JMPWMB2R.cjs');
require('../../chunk-VPC6DJR3.cjs');
require('../../chunk-NU2LARFE.cjs');
require('../../chunk-2M3GJPSG.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-TL4N37LA.cjs');
require('../../chunk-BYF3QB24.cjs');
require('../../chunk-B5AT6K6M.cjs');
require('../../chunk-BXH2HPYJ.cjs');
require('../../chunk-ERVYLT2H.cjs');
require('../../chunk-XSRNCOKE.cjs');
require('../../chunk-MSQZVEZQ.cjs');
require('../../chunk-6SRH3V26.cjs');
require('../../chunk-XAL26J27.cjs');
require('../../chunk-SFWHUH7N.cjs');
require('../../chunk-ZKRBNIEC.cjs');
require('../../chunk-TIMCWHOB.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-OWJR6AQM.cjs');
require('../../chunk-KEJ4ER36.cjs');
require('../../chunk-NUAYMDDK.cjs');
require('../../chunk-IOP7DGF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-OYAX4GVN.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-ZNTN57VN.cjs');
require('../../chunk-HULDJDND.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-4OVLRIUA.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-MQW5ML2S.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-7BL7WPL3.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-YZSOTFZT.cjs');
require('../../chunk-NBKYAXXN.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-BXHLYONU.cjs');
require('../../chunk-DSA7V4QZ.cjs');
require('../../chunk-UXNJ5WZM.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-SBGQDG53.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-GJ2NCPKV.cjs');
require('../../chunk-NUA44STS.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-M3E66ROD.cjs');
require('../../chunk-BMRI2X66.cjs');



var _chunkADJUZEHBcjs = require('../../chunk-ADJUZEHB.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/bin/index.spec.ts
describe("encoder", () => {
  it("should write a stream", () => {
    const stream = _chunkZFTVIOZVcjs.createBinaryStreamEncoder.call(void 0, );
    stream.writeUint32(1);
    stream.write({ a: "99" });
    stream.writeBytes([1, 2, 3], 3);
    stream.write(123);
    const bin = stream.getUint8Array();
    expect(_chunkADJUZEHBcjs.Uint8ArrayToHexDump.call(void 0, bin)).toMatchInlineSnapshot(`
      "0000  01 00 00 00 76 01 01 61 77 02 39 39 01 02 03 7D  ....v..aw.99...}
      0010  BB 01                                            \xBB.              "
    `);
    expect(stream.getLength()).toBe(18);
    const readStream = _chunkZFTVIOZVcjs.createBinaryStreamDecoder.call(void 0, bin);
    expect(readStream.getOffset()).toBe(0);
    expect(readStream.readUint32()).toBe(1);
    expect(readStream.getOffset()).toBe(4);
    expect(readStream.read()).toEqual({ a: "99" });
    expect(readStream.readBytes(3)).toMatchInlineSnapshot(`
Uint8Array [
  1,
  2,
  3,
]
`);
    expect(readStream.read()).toBe(123);
    expect(readStream.getOffset()).toBe(bin.length);
  });
  it("should bitfield", () => {
    const bf = _chunkZFTVIOZVcjs.bitfield.call(void 0, 1);
    bf.setBit(4);
    expect(bf.getValue()).toBe(17);
    bf.setBit(0, false);
    expect(bf.getValue()).toBe(16);
    bf.setBit(1);
    bf.setBit(5);
    bf.setBit(16);
    expect(bf.getValue().toString(2)).toMatchInlineSnapshot(
      '"10000000000110010"'
    );
    expect(bf.getValue()).toBe(65586);
    expect(bf.getBit(0)).toBe(false);
    expect(bf.getBit(4)).toBe(true);
    bf.toggleBit(4);
    expect(bf.getBit(4)).toBe(false);
    expect(bf.getValue()).toBe(65570);
  });
  it("should var bin", () => {
    function enc(v) {
      const e = _chunkZFTVIOZVcjs.createBinaryStreamEncoder.call(void 0, );
      e.writeIntVar(v);
      return _chunkADJUZEHBcjs.toHex.call(void 0, e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(128)).toMatchInlineSnapshot('"8002"');
    expect(enc(-1)).toMatchInlineSnapshot('"41"');
    expect(enc(-691529286)).toMatchInlineSnapshot('"c699bf9305"');
    expect(enc(691529286)).toMatchInlineSnapshot('"8699bf9305"');
  });
  it("should var bin uint", () => {
    function enc(v) {
      const e = _chunkZFTVIOZVcjs.createBinaryStreamEncoder.call(void 0, );
      e.writeUintVar(v);
      return _chunkADJUZEHBcjs.toHex.call(void 0, e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(127)).toMatchInlineSnapshot('"7f"');
    expect(enc(128)).toMatchInlineSnapshot(`"8001"`);
    expect(enc(255)).toMatchInlineSnapshot('"ff01"');
    expect(enc(256)).toMatchInlineSnapshot('"8002"');
    expect(enc(691529286)).toMatchInlineSnapshot('"c6ccdfc902"');
  });
});
//# sourceMappingURL=index.spec.cjs.map