"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }require('../chunk-IB5IYYW3.cjs');
require('../chunk-Q2SNIYQS.cjs');
require('../chunk-IA7KQH7T.cjs');
require('../chunk-ZFTVIOZV.cjs');
require('../chunk-JCNZZG5S.cjs');
require('../chunk-5FE5DCG4.cjs');
require('../chunk-SFUIGVPA.cjs');
require('../chunk-X23ZSPZC.cjs');
require('../chunk-2UTQQDPY.cjs');
require('../chunk-PIQQZPG3.cjs');
require('../chunk-UDRF4DKZ.cjs');
require('../chunk-3TNVJY4F.cjs');
require('../chunk-MJ7L4G3V.cjs');
require('../chunk-WPWV7ZEM.cjs');
require('../chunk-Z6OONRDT.cjs');
require('../chunk-JZKRP4QF.cjs');
require('../chunk-JMPWMB2R.cjs');
require('../chunk-VPC6DJR3.cjs');
require('../chunk-NU2LARFE.cjs');
require('../chunk-2M3GJPSG.cjs');
require('../chunk-QLGR2XSS.cjs');
require('../chunk-TL4N37LA.cjs');
require('../chunk-BYF3QB24.cjs');
require('../chunk-B5AT6K6M.cjs');
require('../chunk-BXH2HPYJ.cjs');
require('../chunk-ERVYLT2H.cjs');
require('../chunk-XSRNCOKE.cjs');
require('../chunk-MSQZVEZQ.cjs');
require('../chunk-6SRH3V26.cjs');
require('../chunk-XAL26J27.cjs');
require('../chunk-SFWHUH7N.cjs');
require('../chunk-ZKRBNIEC.cjs');
require('../chunk-TIMCWHOB.cjs');
require('../chunk-XG57S66T.cjs');
require('../chunk-OWJR6AQM.cjs');


var _chunkKEJ4ER36cjs = require('../chunk-KEJ4ER36.cjs');
require('../chunk-NUAYMDDK.cjs');
require('../chunk-IOP7DGF3.cjs');
require('../chunk-ZYPCVNSG.cjs');






var _chunkOYAX4GVNcjs = require('../chunk-OYAX4GVN.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-ZNTN57VN.cjs');
require('../chunk-HULDJDND.cjs');
require('../chunk-44QLSR3L.cjs');
require('../chunk-CXBBK7CI.cjs');
require('../chunk-4OVLRIUA.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-7XAMJGPO.cjs');
require('../chunk-MQW5ML2S.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-7BL7WPL3.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-YZSOTFZT.cjs');
require('../chunk-NBKYAXXN.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-BXHLYONU.cjs');
require('../chunk-DSA7V4QZ.cjs');
require('../chunk-UXNJ5WZM.cjs');
require('../chunk-QYCE2TUJ.cjs');
require('../chunk-ANZPWIO4.cjs');
require('../chunk-SBGQDG53.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-GJ2NCPKV.cjs');
require('../chunk-NUA44STS.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-M3E66ROD.cjs');
require('../chunk-BMRI2X66.cjs');



var _chunkADJUZEHBcjs = require('../chunk-ADJUZEHB.cjs');
require('../chunk-7FPSHSSO.cjs');

// src/common/crypto.spec.ts
var log = _chunkKEJ4ER36cjs.DefaultLogger.call(void 0, "crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(_chunkADJUZEHBcjs.equalBinary.call(void 0, new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array(100)).map(
      () => _chunkOYAX4GVNcjs.randomUint8Array.call(void 0, 8)
    );
    let id;
    while (id = list.pop()) {
      expect(_chunkADJUZEHBcjs.equalBinary.call(void 0, id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(
        false
      );
      expect(_optionalChain([id, 'optionalAccess', _ => _.length])).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(_chunkADJUZEHBcjs.toHex.call(void 0, await _chunkOYAX4GVNcjs.digest.call(void 0, "abc"))).toBe(
      "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
    );
    expect(await _chunkOYAX4GVNcjs.digest.call(void 0, new Uint8Array([1, 2, 3]))).toMatchInlineSnapshot(`
Uint8Array [
  3,
  144,
  88,
  198,
  242,
  192,
  203,
  73,
  44,
  83,
  59,
  10,
  77,
  20,
  239,
  119,
  204,
  15,
  120,
  171,
  204,
  206,
  213,
  40,
  125,
  132,
  161,
  162,
  1,
  28,
  251,
  129,
]
`);
  });
  it("should raw crypt", async () => {
    const key = await _chunkOYAX4GVNcjs.deriveKeyPbkdf2.call(void 0, new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await _chunkOYAX4GVNcjs.encrypt.call(void 0, sample, key);
    const bin = await _chunkOYAX4GVNcjs.decrypt.call(void 0, cipher, key);
    expect(_chunkADJUZEHBcjs.equalBinary.call(void 0, sample, bin)).toBe(true);
    const binFix = await _chunkOYAX4GVNcjs.decrypt.call(void 0, 
      new Uint8Array([
        1,
        1,
        27,
        108,
        252,
        31,
        238,
        192,
        61,
        168,
        45,
        29,
        128,
        212,
        215,
        222,
        205,
        105,
        178,
        193,
        150,
        36,
        24,
        216,
        180,
        75,
        168,
        133,
        37,
        25,
        124,
        137,
        221,
        103,
        214,
        97,
        218,
        232,
        248,
        93
      ]),
      key
    );
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.cjs.map