"use strict";require('../../chunk-NU2LARFE.cjs');
require('../../chunk-2M3GJPSG.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-TL4N37LA.cjs');
require('../../chunk-BYF3QB24.cjs');
require('../../chunk-B5AT6K6M.cjs');
require('../../chunk-BXH2HPYJ.cjs');
require('../../chunk-ERVYLT2H.cjs');
require('../../chunk-XSRNCOKE.cjs');
require('../../chunk-MSQZVEZQ.cjs');
require('../../chunk-6SRH3V26.cjs');
require('../../chunk-XAL26J27.cjs');
require('../../chunk-SFWHUH7N.cjs');
require('../../chunk-ZKRBNIEC.cjs');
require('../../chunk-TIMCWHOB.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-OWJR6AQM.cjs');
require('../../chunk-KEJ4ER36.cjs');
require('../../chunk-NUAYMDDK.cjs');
require('../../chunk-IOP7DGF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-OYAX4GVN.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-ZNTN57VN.cjs');
require('../../chunk-HULDJDND.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-4OVLRIUA.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-MQW5ML2S.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-7BL7WPL3.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-YZSOTFZT.cjs');
require('../../chunk-NBKYAXXN.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-BXHLYONU.cjs');
require('../../chunk-DSA7V4QZ.cjs');
require('../../chunk-UXNJ5WZM.cjs');


var _chunkQYCE2TUJcjs = require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-SBGQDG53.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-GJ2NCPKV.cjs');
require('../../chunk-NUA44STS.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');








var _chunkM3E66RODcjs = require('../../chunk-M3E66ROD.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-ADJUZEHB.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/data/utils.spec.ts
describe("cloneObject", () => {
  it("should clone only non primitives", () => {
    {
      const sample = "Test";
      expect(_chunkM3E66RODcjs.cloneObject.call(void 0, sample) === sample).toBe(true);
      expect(_chunkM3E66RODcjs.cloneObject.call(void 0, sample) === "Test").toBe(true);
    }
    {
      const sample = { hello: "world" };
      expect(_chunkM3E66RODcjs.cloneObject.call(void 0, sample) === sample).toBe(false);
      expect(_chunkM3E66RODcjs.cloneObject.call(void 0, sample)).toEqual(sample);
      expect(_chunkM3E66RODcjs.cloneObject.call(void 0, sample)).toEqual({ hello: "world" });
    }
  });
});
describe("size", () => {
  it("should calc size of map", () => {
    const map = /* @__PURE__ */ new Map();
    map.set("a", 1);
    map.set("b", 2);
    expect(_chunkM3E66RODcjs.size.call(void 0, map)).toBe(2);
  });
  it("should calc size of set", () => {
    const set = /* @__PURE__ */ new Set();
    set.add(1);
    set.add(2);
    set.add(3);
    expect(_chunkM3E66RODcjs.size.call(void 0, set)).toBe(3);
  });
  it("should calc size of object", () => {
    expect(_chunkM3E66RODcjs.size.call(void 0, { a: 1, b: 2 })).toBe(2);
  });
  it("should calc size of array", () => {
    expect(_chunkM3E66RODcjs.size.call(void 0, [1, 2, void 0])).toBe(3);
  });
  it("should calc size of primitives", () => {
    expect(_chunkM3E66RODcjs.size.call(void 0, "hello")).toBe(5);
    expect(_chunkM3E66RODcjs.size.call(void 0, 3)).toBe(0);
    expect(_chunkM3E66RODcjs.size.call(void 0, true)).toBe(0);
    expect(_chunkM3E66RODcjs.size.call(void 0, null)).toBe(0);
    expect(_chunkM3E66RODcjs.size.call(void 0, void 0)).toBe(0);
    expect(_chunkM3E66RODcjs.size.call(void 0, Number.NaN)).toBe(0);
  });
});
describe("empty", () => {
  it("should calc empty of map", () => {
    const map = /* @__PURE__ */ new Map();
    expect(_chunkM3E66RODcjs.empty.call(void 0, map)).toBe(true);
    map.set("a", 1);
    map.set("b", 2);
    expect(_chunkM3E66RODcjs.empty.call(void 0, map)).toBe(false);
  });
  it("should calc empty of set", () => {
    const set = /* @__PURE__ */ new Set();
    expect(_chunkM3E66RODcjs.empty.call(void 0, set)).toBe(true);
    set.add(1);
    set.add(2);
    set.add(3);
    expect(_chunkM3E66RODcjs.empty.call(void 0, set)).toBe(false);
  });
  it("should calc empty of object", () => {
    expect(_chunkM3E66RODcjs.empty.call(void 0, {})).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, { a: 1, b: 2 })).toBe(false);
  });
  it("should calc empty of array", () => {
    expect(_chunkM3E66RODcjs.empty.call(void 0, [])).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, [void 0])).toBe(false);
    expect(_chunkM3E66RODcjs.empty.call(void 0, [1, 2, void 0])).toBe(false);
  });
  it("should calc empty of primitives", () => {
    expect(_chunkM3E66RODcjs.empty.call(void 0, "")).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, "hello")).toBe(false);
    expect(_chunkM3E66RODcjs.empty.call(void 0, 3)).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, 0)).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, false)).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, true)).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, null)).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, void 0)).toBe(true);
    expect(_chunkM3E66RODcjs.empty.call(void 0, Number.NaN)).toBe(true);
  });
  it("should ensure key", () => {
    const rooms = {};
    _chunkM3E66RODcjs.ensureKey.call(void 0, rooms, "a", (r) => ({ r })).x = 1;
    expect(rooms).toMatchInlineSnapshot(`
      Object {
        "a": Object {
          "r": "a",
          "x": 1,
        },
      }
    `);
    _chunkM3E66RODcjs.ensureKey.call(void 0, rooms, "a", (r) => ({ r })).x += 10;
    expect(rooms).toMatchInlineSnapshot(`
      Object {
        "a": Object {
          "r": "a",
          "x": 11,
        },
      }
    `);
  });
  it("should repeat forTimes", () => {
    const l = [];
    _chunkM3E66RODcjs.forTimes.call(void 0, 10, (...args) => l.push(args));
    expect(l).toMatchInlineSnapshot(`
      Array [
        Array [
          0,
          10,
        ],
        Array [
          1,
          10,
        ],
        Array [
          2,
          10,
        ],
        Array [
          3,
          10,
        ],
        Array [
          4,
          10,
        ],
        Array [
          5,
          10,
        ],
        Array [
          6,
          10,
        ],
        Array [
          7,
          10,
        ],
        Array [
          8,
          10,
        ],
        Array [
          9,
          10,
        ],
      ]
    `);
  });
  it("should memoize", () => {
    let ctr = 1;
    const fn = _chunkM3E66RODcjs.memoize.call(void 0, (inc) => {
      ctr += inc;
      return ctr;
    });
    expect(fn(10)).toBe(11);
    expect(fn(10)).toBe(11);
    expect(fn(1)).toBe(12);
    expect(ctr).toBe(12);
  });
  it("should memoize async", async () => {
    let ctr = 1;
    const fn = _chunkM3E66RODcjs.memoizeAsync.call(void 0, async (inc) => {
      await _chunkQYCE2TUJcjs.sleep.call(void 0, 10);
      ctr += inc;
      return ctr;
    });
    expect(await fn(10)).toBe(11);
    expect(await fn(10)).toBe(11);
    expect(await fn(1)).toBe(12);
    expect(ctr).toBe(12);
  });
});
//# sourceMappingURL=utils.spec.cjs.map