"use strict";

var _chunkMXDA3EBPcjs = require('../../chunk-MXDA3EBP.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-OWJR6AQM.cjs');



var _chunkKEJ4ER36cjs = require('../../chunk-KEJ4ER36.cjs');
require('../../chunk-NUAYMDDK.cjs');
require('../../chunk-IOP7DGF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-ZNTN57VN.cjs');


var _chunkHULDJDNDcjs = require('../../chunk-HULDJDND.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-4OVLRIUA.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-MQW5ML2S.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-7BL7WPL3.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-YZSOTFZT.cjs');
require('../../chunk-NBKYAXXN.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-BXHLYONU.cjs');
require('../../chunk-DSA7V4QZ.cjs');
require('../../chunk-UXNJ5WZM.cjs');


var _chunkQYCE2TUJcjs = require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-SBGQDG53.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-GJ2NCPKV.cjs');
require('../../chunk-NUA44STS.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-M3E66ROD.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-ADJUZEHB.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/node/log/log-file.spec.ts
var _fs = require('fs');
describe("log File", () => {
  afterAll(() => {
    _fs.rmSync.call(void 0, `${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    _chunkKEJ4ER36cjs.getGlobalLogger.call(void 0, ).setHandlers([
      _chunkMXDA3EBPcjs.LoggerFileHandler.call(void 0, path, {
        level: _chunkHULDJDNDcjs.LogLevelAll,
        filter: "*"
      })
    ]);
    const log = _chunkKEJ4ER36cjs.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await _chunkQYCE2TUJcjs.sleep.call(void 0, 1e3);
    expect(_fs.statSync.call(void 0, path).size).toBeGreaterThan(100);
    _fs.unlinkSync.call(void 0, path);
  });
});
//# sourceMappingURL=log-file.spec.cjs.map