import {
  LoggerFileHandler
} from "../../chunk-L4DYSIIG.js";
import "../../chunk-7GOLOL5D.js";
import "../../chunk-RXQQW2PV.js";
import {
  DefaultLogger,
  getGlobalLogger
} from "../../chunk-RVBBTDXC.js";
import "../../chunk-VSJ34R4O.js";
import "../../chunk-QXMTSRRE.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-MZ2ODZKK.js";
import {
  LogLevelAll
} from "../../chunk-ER2NNANC.js";
import "../../chunk-EJVKADTL.js";
import "../../chunk-UHTVWILC.js";
import "../../chunk-UYBQWMJC.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-AFUVZLZZ.js";
import "../../chunk-WWSHZF6M.js";
import "../../chunk-NYCGHEIN.js";
import "../../chunk-S7CUSMDX.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-5J5P77E5.js";
import "../../chunk-G73H5WQB.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-KG4L5KVT.js";
import "../../chunk-SRGFRO74.js";
import "../../chunk-ACZDEHYB.js";
import {
  sleep
} from "../../chunk-FSDCRQB3.js";
import "../../chunk-YEEGQOIW.js";
import "../../chunk-TWPB455K.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-JU2MYLJO.js";
import "../../chunk-HR2TKQFG.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import "../../chunk-5MAHDO36.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-VTQBCMZR.js";
import "../../chunk-6GHO7LQW.js";

// src/node/log/log-file.spec.ts
import { rmSync, statSync, unlinkSync } from "node:fs";
describe("log File", () => {
  afterAll(() => {
    rmSync(`${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    getGlobalLogger().setHandlers([
      LoggerFileHandler(path, {
        level: LogLevelAll,
        filter: "*"
      })
    ]);
    const log = DefaultLogger("test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await sleep(1e3);
    expect(statSync(path).size).toBeGreaterThan(100);
    unlinkSync(path);
  });
});
//# sourceMappingURL=log-file.spec.js.map