import {
  isBrowser
} from "./chunk-THQONF76.js";
import {
  getGlobalLogger
} from "./chunk-RVBBTDXC.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-ML4Z46CD.js";
import {
  LoggerBrowserHandler
} from "./chunk-IFFUDLAX.js";
import {
  isEmpty
} from "./chunk-G73H5WQB.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-A3G2IZ5E.js.map