"use strict";Object.defineProperty(exports, "__esModule", {value: true});



var _chunkZNTN57VNcjs = require('./chunk-ZNTN57VN.cjs');




var _chunkHULDJDNDcjs = require('./chunk-HULDJDND.cjs');

// src/common/log/log-console.ts
function LoggerConsoleHandler(opt = {}) {
  const {
    level = void 0,
    filter = void 0
    // colors = true,
    // levelHelper = false,
    // nameBrackets = true,
    // padding = 16,
  } = opt;
  const matchesNamespace = _chunkZNTN57VNcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunkZNTN57VNcjs.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    const name = msg.name ? `[${msg.name}]` : "";
    switch (msg.level) {
      case _chunkHULDJDNDcjs.LogLevelInfo:
        console.info(..._chunkZNTN57VNcjs.joinLogStrings.call(void 0, `I|*   ${name}`, ...msg.messages));
        break;
      case _chunkHULDJDNDcjs.LogLevelWarn:
        console.warn(..._chunkZNTN57VNcjs.joinLogStrings.call(void 0, `W|**  ${name}`, ...msg.messages));
        break;
      case _chunkHULDJDNDcjs.LogLevelError:
        console.error(..._chunkZNTN57VNcjs.joinLogStrings.call(void 0, `E|*** ${name}`, ...msg.messages));
        break;
      default:
        console.debug(..._chunkZNTN57VNcjs.joinLogStrings.call(void 0, `D|    ${name}`, ...msg.messages));
        break;
    }
  };
}



exports.LoggerConsoleHandler = LoggerConsoleHandler;
//# sourceMappingURL=chunk-IOP7DGF3.cjs.map