"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkZNTN57VNcjs = require('./chunk-ZNTN57VN.cjs');


var _chunk44QLSR3Lcjs = require('./chunk-44QLSR3L.cjs');

// src/common/log/log-memory.ts
function LoggerMemoryHandler(opt) {
  const { level = void 0, filter = void 0, messages = [] } = opt;
  const matchesNamespace = _chunkZNTN57VNcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunkZNTN57VNcjs.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    msg.timestamp = _chunk44QLSR3Lcjs.getTimestamp.call(void 0, );
    messages.push(msg);
  };
}



exports.LoggerMemoryHandler = LoggerMemoryHandler;
//# sourceMappingURL=chunk-OWJR6AQM.cjs.map